For the complete documentation index, see llms.txt. This page is also available as Markdown.

Gateways

List gateways

get
Query parameters
querystringOptional

the query to filter gateways by, e.g. name:gateway-1

selectorstringOptional

the selector to filter gateways by, e.g. configuration=my-config

offsetstringOptional

the pagination offset

limitstringOptional

the maximum number of results to return

sortstringOptional

the field on which to sort results. A '-' prefix indicates descending sorting.

Responses
200

OK

application/json
get/gateways
GET /v1/gateways HTTP/1.1
Accept: */*
{
  "gateways": [
    {
      "apiVersion": "string",
      "kind": "string",
      "metadata": {
        "additionalInfo": {
          "documentation": [
            {
              "text": "text",
              "url": "text"
            }
          ],
          "message": "string"
        },
        "blueprintTags": {
          "ANY_ADDITIONAL_PROPERTY": [
            "text"
          ]
        },
        "dateModified": "text",
        "deprecated": true,
        "description": "string",
        "displayName": "string",
        "hash": "text",
        "icon": "string",
        "id": "string",
        "labels": {},
        "name": "string",
        "resourceDocLink": "string",
        "stability": "string",
        "version": 1,
        "warning": "string"
      },
      "spec": {
        "configuration": "text",
        "loadBalancerHostname": "text",
        "workload": {
          "operator": "text",
          "workload": "text"
        }
      },
      "status": {
        "setup": {
          "dismissed": true,
          "done": [
            "text"
          ],
          "mode": "text"
        }
      }
    }
  ]
}

Last updated

Was this helpful?